## 4. Government-Wide Code Reuse

Ensuring Government-wide reuse rights for custom code that is developed using Federal funds has numerous benefits for American taxpayers. To realize these benefits, agencies must comply with the following requirements:

### A. Secure Rights for Government Reuse and Ensure Delivery of Source Code

Agencies that enter into contracts for the custom development of software shall—at a minimum—acquire and enforce rights sufficient to enable Government-wide reuse of custom-developed code. Agencies must ensure appropriate contract administration and use of best practices to secure the full scope of the Government’s rights, including—but not limited to—sharing and using the code with other Federal agencies.

Additionally, in order to ensure the ability to exercise these rights, agencies must use best practices to ensure delivery of the custom-developed code, documentation, and other associated materials from the developer throughout the development process.

### B. Inventory All Custom-Developed Code and Make It Available Government-Wide

Securing adequate rights to enable Government-wide reuse of custom-developed code is a critical first step in gaining efficiencies in Federal software purchasing; however, without broad and consistent dissemination of the code across the Federal Government, these efficiencies cannot be fully realized. Therefore, in addition to securing the rights discussed above, agencies shall do the following:

1.  <u>Maintain a Code Inventory:</u> As part of their broader responsibility to maintain an up-to-date inventory of agency information resources, agencies shall make custom-developed code and related information available to all other Federal agencies<sup id="fnr28">[28](#fn28)</sup> by creating and maintaining an enterprise code inventory that lists all new code that is custom-developed for the Federal Government; and
2.  <u>Make Custom-Developed Code Available:</u> Agencies shall make custom-developed code available for Government-wide reuse and make their code inventories discoverable at [https://www.code.gov](https://www.code.gov) (“Code.gov”), pursuant to the limited exceptions outlined in Section 6 of this policy.

Agencies may refer to Section 7 of this document for additional information regarding their individual responsibilities related to implementing this policy.

#### Footnotes

*   <sup id="fn28">28</sup> _See_ Section 6 of this policy for additional information about limited exceptions. [↩](#fnr28)
