## Appendix A - Definitions

**Agency:** For the purposes of this policy, an agency is one that meets the definition of executive agency under the Clinger Cohen Act of 1996\. _See_ 41 U.S.C. § 11101.

**Code.gov:** This platform is primarily intended to serve two distinct functions. First, it will act as an online collection of tools, guides, and best practices specifically designed to help agencies implement the framework presented in this policy. Second, it will serve as the primary discoverability portal for custom-developed code intended both for Government-wide reuse and for potential release as OSS. Code.gov is not intended to house the custom-developed code itself; rather, it is intended to serve as a tool for discovering custom-developed code that may be available for Government-wide reuse or as OSS, and to provide transparency into custom-developed code that is developed using Federal funds. This discoverability portal will be publically accessible and searchable via a variety of fields and constraints, such as the name of the project, its intended use, and the agency releasing the source code. Code.gov will be accessible at [https://www.code.gov](https://www.code.gov) and will evolve over time as a community resource to facilitate the adoption of good custom source code development, sharing, and reuse practices.

**Custom-Developed Code:** For the purposes of this policy, custom-developed code is code that is first produced in the performance of a Federal contract or is otherwise fully funded by the Federal Government. It includes code, or segregable portions of code, for which the Government could obtain unlimited rights under Federal Acquisition Regulations (FAR) Pt. 27 and relevant agency FAR Supplements. Custom-developed code also includes code developed by agency employees as part of their official duties. For the purposes of this policy, custom-developed code may include, but is not limited to, code written for software projects, modules, plugins, scripts, middleware, and APIs; it does not, however, include code that is truly exploratory or disposable in nature, such as that written by a developer experimenting with a new language or library.

**Mixed Source Software:** A mixed source software solution incorporates both open source and proprietary code.

**Open Source Software (OSS):** Software that can be accessed, used, modified, and shared by anyone. OSS is often distributed under licenses that comply with the definition of “Open Source” provided by the Open Source Initiative ([https://opensource.org/osd](https://opensource.org/osd)) and/or that meet the definition of “Free Software” provided by the Free Software Foundation ([https://www.gnu.org/philosophy/free-sw.html](https://www.gnu.org/philosophy/free-sw.html)).

**Proprietary Software:** Software with intellectual property rights that are retained exclusively by a rights holder (_e.g._, an individual or a company).

**Software:** Refers to (i) computer programs that comprise a series of instructions, rules, routines, or statements, regardless of the media in which recorded, that allow or cause a computer to perform a specific operation or series of operations; and (ii) recorded information comprising source code listings, design details, algorithms, processes, flow charts, formulas, and related material that would enable the computer program to be produced, created, or compiled. Software does not include computer databases or computer software documentation.<sup id="fnr39">[39](#fn39)</sup>

**Source Code:** Computer commands written in a computer programming language that is meant to be read by people. Generally, source code is a higher level representation of computer commands as they are written by people and, therefore, must be assembled or compiled before a computer can execute the code as a program.

#### Footnotes

*   <sup id="fn39">39</sup> As “computer software” is defined in 48 C.F.R. § 2.101\. [https://www.gpo.gov/fdsys/pkg/CFR-2002-title48-vol1/pdf/CFR-2002-title48-vol1-sec2-101.pdf](https://www.gpo.gov/fdsys/pkg/CFR-2002-title48-vol1/pdf/CFR-2002-title48-vol1-sec2-101.pdf). [↩](#fnr39)
